Question Les cartes RAID Dell PERC H200 H700 sont-elles prises en charge par les distributions Linux basées sur «.deb»?


Pour un Dell PowerEdge T310 que je n'ai pas encore, je me demandais si ses cartes RAID sont supportées par des distributions utilisant des paquets ".deb" tels que Debian ou Ubuntu.

Sur le site Web de Dell, je ne pouvais trouver que des pilotes pour Red Hat (et CentOS, Fedora) ou Windows, mais pas pour la famille Debian.

Quelqu'un a-t-il un Dell PowerEdge T310 avec un RAID 1 matériel basé sur la carte H200 ou H700?


5
2017-12-20 16:39


origine




Réponses:


La plupart des "vrais" contrôleurs RAID SATA / SAS basés sur PCI (et non "fakeraid") n'ont pas besoin de pilotes spéciaux. Ce n’est pas vraiment le cas (je suis sûr que beaucoup d’entre nous ont dû chercher des pilotes HBA pour les nouvelles versions de Windows).

Vous pourrez utiliser n'importe quel système d'exploitation moderne sur cette plate-forme. Si vous utilisez Debian ou Ubuntu depuis 3 ou 4 ans, il n’y aura pas de problème.

Les cartes Dell sont simplement des appareils LSI MegaRaid renommés. Les outils de gestion LSI fonctionnent donc généralement très bien avec ces derniers. Tu peux recevoir megacli pour la plupart des plateformes.


4
2017-12-20 16:50





PERC H200, H300, H700, etc., ne nécessitent pas de pilotes tiers spécifiques pour fonctionner; ils exportent simplement un périphérique de disque SCSI vers le système d'exploitation (qui peut utiliser les pilotes SCSI intégrés).

Cela dit, des pilotes supplémentaires (dans ce cas, un module de noyau pour les cartes LSI) peuvent être chargés pour fournir des fonctionnalités étendues, par exemple pour interroger config / state sur un tableau et / ou pour le configurer.

Comme indiqué ci-dessus, étant donné que les PERC DELL ne sont rien de plus que des cartes LSI renommées, vous pouvez toujours utiliser megacli et / ou d’autres utilitaires LSI.

Cependant, le propre de DELL omreport et omconfig Pour autant que je sache, les utilitaires sont uniquement disponibles au format RPM et avec la compatibilité RHEL / CentOS kABI. Un paquetage tar.gz existe, mais il devrait contenir des RPM supplémentaires.


3
2017-12-20 17:28